> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List experiments by dataset

> Retrieve a paginated list of experiments for the specified dataset.



## OpenAPI

````yaml get /v1/datasets/{dataset_id}/experiments
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/datasets/{dataset_id}/experiments:
    get:
      tags:
        - experiments
      summary: List experiments by dataset
      description: Retrieve a paginated list of experiments for the specified dataset.
      operationId: listExperiments
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset ID
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination (base64-encoded experiment ID)
            title: Cursor
          description: Cursor for pagination (base64-encoded experiment ID)
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            description: The max number of experiments to return at a time.
            default: 50
            title: Limit
          description: The max number of experiments to return at a time.
      responses:
        '200':
          description: Paginated list of experiments for the dataset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListExperimentsResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Unprocessable Entity
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    ListExperimentsResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/Experiment'
          type: array
          title: Data
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data
        - next_cursor
      title: ListExperimentsResponseBody
    Experiment:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the experiment
        dataset_id:
          type: string
          title: Dataset Id
          description: The ID of the dataset associated with the experiment
        dataset_version_id:
          type: string
          title: Dataset Version Id
          description: The ID of the dataset version associated with the experiment
        name:
          type: string
          title: Name
          description: The name of the experiment
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: The description of the experiment
        repetitions:
          type: integer
          exclusiveMinimum: 0
          title: Repetitions
          description: Number of times the experiment is repeated
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Metadata of the experiment
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
          description: The name of the project associated with the experiment
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The creation timestamp of the experiment
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The last update timestamp of the experiment
        example_count:
          type: integer
          title: Example Count
          description: Number of examples in the experiment
        successful_run_count:
          type: integer
          title: Successful Run Count
          description: Number of successful runs in the experiment
        failed_run_count:
          type: integer
          title: Failed Run Count
          description: Number of failed runs in the experiment
        missing_run_count:
          type: integer
          title: Missing Run Count
          description: Number of missing (not yet executed) runs in the experiment
      type: object
      required:
        - id
        - dataset_id
        - dataset_version_id
        - name
        - description
        - repetitions
        - metadata
        - project_name
        - created_at
        - updated_at
        - example_count
        - successful_run_count
        - failed_run_count
        - missing_run_count
      title: Experiment

````